﻿@model string
@{var fieldName = ViewData.TemplateInfo.HtmlFieldPrefix;}


@{
    var values = ViewData.ModelMetadata.AdditionalValues;
}
<script>
    var @(fieldName)_bound = false;
    function onDataBound(e, s) {
        if (!@(fieldName)_bound) {
            var multiselect = $("\#@fieldName").data("kendoMultiSelect");
            var m = '1,2';
            multiselect.unbind('dataBound');
            multiselect.dataSource.filter({});
            multiselect.value(m.split(","));
            console.log(s)
        }
        @(fieldName)_bound = true;
    }
    function addNew(value) {
        var ret = $.ajax({
            type: "POST",
            url: "Tags/Tags_Create",
            data: {value},
            dataType: "json",
            success: function (response) {
                var multiselect = $("\#@fieldName").data("kendoMultiSelect");
                multiselect.dataSource.read();
            }
        });
    }
</script>

@(Html.Kendo().MultiSelectFor(m => m)
        .DataTextField(values["dataTextfield"].ToString())
        .DataValueField(values["dataValuefield"].ToString())
        .Placeholder("انتخاب کنید")
        .AutoBind(true)
        .NoDataTemplateId("noDataTemplate")
        .ValuePrimitive(true)
    //.Value(new int[] { 1 , 2})
    //.Events(ev => ev.DataBound("function(args){onDataBound(args,'1,2')}"))
    .DataSource(source =>
        {
            source.Read(read =>
            {
                read.Action(values["action"].ToString(), "RemoteData", new { _type = values["type"].ToString() });
            }
        ).ServerFiltering(false);
    })
)
<script id="noDataTemplate" type="text/x-kendo-tmpl">
    # var value = instance.input.val(); #
    # var id = instance.element[0].id; #
    <div>
        موردی یافت نشد ، آیا مایل به افزودن این مورد هستید ؟ - '#: value #' ?
    </div>
    <br />
    <button class="k-button" onclick="addNew('#: value #')" ontouchend="addNew('#: value #')">افزودن این مورد</button>
</script>
